package com.steerinfo.ems.tcm0324.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class TCm0324 implements IBasePO<String> {
    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    /**
     * 制定年度(CREATYEAR,VARCHAR,400)
     */
    @ApiModelProperty(value="制定年度",required=true)
    private String creatyear;

    /**
     * 监测项目名称(ITEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测项目名称",required=true)
    private String itemname;

    /**
     * 标准指标下限(LOWERLIMIT,DECIMAL,30)
     */
    @ApiModelProperty(value="标准指标下限",required=true)
    private BigDecimal lowerlimit;

    /**
     * 监测部门(POWERDETECDEPARTMENT,VARCHAR,400)
     */
    @ApiModelProperty(value="监测部门",required=true)
    private String powerdetecdepartment;

    /**
     * 监测点名称(POWERMONITORNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点名称",required=true)
    private String powermonitorname;

    /**
     * 单位(UNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="单位",required=true)
    private String unit;

    /**
     * 标准指标上限(UPPERLIMIT,DECIMAL,30)
     */
    @ApiModelProperty(value="标准指标上限",required=true)
    private BigDecimal upperlimit;

    /**
     * 监测系统名称(POWERSYSTEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测系统名称",required=true)
    private String powersystemname;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid;
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null :recordid.trim();
    }

    public String getCreatyear() {
        return creatyear;
    }

    public void setCreatyear(String creatyear) {
        this.creatyear = creatyear == null ? null : creatyear.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public BigDecimal getLowerlimit() {
        return lowerlimit;
    }

    public void setLowerlimit(BigDecimal lowerlimit) {
        this.lowerlimit = lowerlimit;
    }

    public String getPowerdetecdepartment() {
        return powerdetecdepartment;
    }

    public void setPowerdetecdepartment(String powerdetecdepartment) {
        this.powerdetecdepartment = powerdetecdepartment == null ? null : powerdetecdepartment.trim();
    }

    public String getPowermonitorname() {
        return powermonitorname;
    }

    public void setPowermonitorname(String powermonitorname) {
        this.powermonitorname = powermonitorname == null ? null : powermonitorname.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public BigDecimal getUpperlimit() {
        return upperlimit;
    }

    public void setUpperlimit(BigDecimal upperlimit) {
        this.upperlimit = upperlimit;
    }

    public String getPowerpowersystemname() {
        return powersystemname;
    }

    public void setPowerpowersystemname(String powersystemname) {
        this.powersystemname = powersystemname == null ? null : powersystemname.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", creatyear=").append(creatyear);
        sb.append(", itemname=").append(itemname);
        sb.append(", lowerlimit=").append(lowerlimit);
        sb.append(", powerdetecdepartment=").append(powerdetecdepartment);
        sb.append(", powermonitorname=").append(powermonitorname);
        sb.append(", unit=").append(unit);
        sb.append(", upperlimit=").append(upperlimit);
        sb.append(", powersystemname=").append(powersystemname);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}